Loading...
Searching...
No Matches
ranges::views::for_each_fn Struct Reference
Inheritance diagram for ranges::views::for_each_fn:

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::for_each_base_fn
template<typename Rng , typename Fun > requires viewable_range<Rng> && transformable_range<Rng, Fun> && joinable_range<transform_view<all_t<Rng>, Fun>>
constexpr auto | operator() (Rng &&rng, Fun fun) const

## Related Symbols

(Note that these are not member symbols.)
constexpr for_each_fn | for_each {}